import { EventEmitter, OnInit } from '@angular/core';
import { IqDatepickerTranslations } from '../iq-datepicker/iq-datepicker-translations';
import { IqDatepickerOptions } from '../iq-datepicker/iq-datepicker-options';
import { FormControl } from '@angular/forms';
export declare class IqCalendarComponent implements OnInit {
    options: IqDatepickerOptions;
    translations: IqDatepickerTranslations;
    date: Date;
    selectedDate: Date;
    dateSelected: EventEmitter<Date>;
    weeks: any;
    timeMask: (string | RegExp)[];
    timeInput: FormControl;
    constructor();
    ngOnInit(): void;
    private emitDateOnTimeSelected();
    prevMonth(): void;
    nextMonth(): void;
    prevYear(): void;
    nextYear(): void;
    updateViewDays(): void;
    private populateNextMonthDates(dayNumber);
    private getPreviousMonth();
    private getNextMonth();
    private populateCurrentMonthDates(offset);
    private isCurrentDate(dayNumber);
    private populatePreviousMonthDates(offset);
    selectMonth(month: number): void;
    setYear(year: number): void;
    setHours(hours: number): void;
    setMinutes(minutes: number): void;
    onDateSelected(date: number, prevMonth: boolean, nextMonth: boolean): void;
    private isSelectedDate(month, date);
    onKeyDown(event: any): void;
}
